# GraphFree

FLAGS = -Wall -W -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual \
-Wcast-align -Wwrite-strings -Wconversion -Wstrict-prototypes -Wmissing-prototypes \
-Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline
CC = riscos-gcc $(FLAGS) -mthrowback -mlibscl -O3 -I/usr/local/riscoslibs/include
LIBS = /usr/local/riscoslibs/OSLib/OSLib.ro

!GraphFree/!RunImage: graphfree.o
	$(CC) -o !GraphFree/!RunImage graphfree.o $(LIBS)

graphfree.o: graphfree.c
	$(CC) -c graphfree.c
